projects
/
feed
/
packages.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
e057ed8
)
lighttpd: print stderr trace if validation fails
author
Glenn Strauss
<gstrauss@gluelogic.com>
Sun, 27 Nov 2022 20:39:24 +0000
(15:39 -0500)
committer
Josef Schlehofer
<pepe.schlehofer@gmail.com>
Fri, 2 Dec 2022 08:57:17 +0000
(09:57 +0100)
lighttpd.init validate_conf(): print stderr trace if validation fails
Signed-off-by: Glenn Strauss <gstrauss@gluelogic.com>
(cherry picked from commit
38ffa02e422bac544eee9578830a8b6a49265be1
)
net/lighttpd/files/lighttpd.init
patch
|
blob
|
history
diff --git
a/net/lighttpd/files/lighttpd.init
b/net/lighttpd/files/lighttpd.init
index 1d290063ef33c6f7dc57222370c2a363b387dac2..04de1784516162f62ed1c32a2e34f1544d30e08e 100644
(file)
--- a/
net/lighttpd/files/lighttpd.init
+++ b/
net/lighttpd/files/lighttpd.init
@@
-8,8
+8,8
@@
USE_PROCD=1
PROG=/usr/sbin/lighttpd
validate_conf() {
- $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null
2>&1
|| {
- echo
"
validation failed"
+ $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null || {
+ echo
1>&2 "lighttpd.conf
validation failed"
return 1
}
}
@@
-34,6
+34,7
@@
service_triggers() {
}
reload_service() {
+ validate_conf || exit 1
# lighttpd graceful restart (SIGUSR1)
procd_send_signal lighttpd '*' USR1
}